Bug 1566330 - [abrt] gnome-shell: magazine_chain_pop_head(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: magazine_chain_pop_head(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:10767b98fd716440110969e18b1...
: 1573620 1575252 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 05:34 UTC by Yijun Yuan
Modified: 2019-05-28 23:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:11:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (139.01 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: cgroup (378 bytes, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: core_backtrace (69.54 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: cpuinfo (1.19 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: dso_list (24.70 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: environ (3.44 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: maps (116.24 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: mountinfo (4.14 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: open_fds (8.33 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: var_log_messages (6.75 KB, text/plain)
2018-04-12 05:34 UTC, Yijun Yuan
no flags Details
File: backtrace (123.72 KB, text/plain)
2018-04-26 16:51 UTC, Petr Viktorin
no flags Details

Description Yijun Yuan 2018-04-12 05:34:34 UTC
Description of problem:


Version-Release number of selected component:
gnome-shell-3.28.0-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
journald_cursor: s=1a9836efc54b47039beef57c18610ce4;i=10a7486;b=a470ac63709145a5a864720fdd584b07;m=5bf475a0;t=569a016d82cbe;x=3002176bbc628931
kernel:         4.16.1-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:539
 #1 thread_memory_magazine1_alloc at gslice.c:842
 #2 g_slice_alloc at gslice.c:1016
 #3 g_slice_alloc0 at gslice.c:1051
 #4 g_object_notify_queue_freeze at gobject.c:241
 #5 g_object_freeze_notify at gobject.c:1130
 #6 clutter_actor_set_allocation at clutter-actor.c:10215
 #7 st_widget_allocate at ../src/st/st-widget.c:420
 #8 st_box_layout_allocate at ../src/st/st-box-layout.c:288
 #9 clutter_actor_allocate_internal at clutter-actor.c:9972

Potential duplicate: bug 758808

Comment 1 Yijun Yuan 2018-04-12 05:34:40 UTC
Created attachment 1420677 [details]
File: backtrace

Comment 2 Yijun Yuan 2018-04-12 05:34:41 UTC
Created attachment 1420678 [details]
File: cgroup

Comment 3 Yijun Yuan 2018-04-12 05:34:42 UTC
Created attachment 1420679 [details]
File: core_backtrace

Comment 4 Yijun Yuan 2018-04-12 05:34:43 UTC
Created attachment 1420680 [details]
File: cpuinfo

Comment 5 Yijun Yuan 2018-04-12 05:34:44 UTC
Created attachment 1420681 [details]
File: dso_list

Comment 6 Yijun Yuan 2018-04-12 05:34:45 UTC
Created attachment 1420682 [details]
File: environ

Comment 7 Yijun Yuan 2018-04-12 05:34:46 UTC
Created attachment 1420683 [details]
File: limits

Comment 8 Yijun Yuan 2018-04-12 05:34:48 UTC
Created attachment 1420684 [details]
File: maps

Comment 9 Yijun Yuan 2018-04-12 05:34:49 UTC
Created attachment 1420685 [details]
File: mountinfo

Comment 10 Yijun Yuan 2018-04-12 05:34:51 UTC
Created attachment 1420686 [details]
File: open_fds

Comment 11 Yijun Yuan 2018-04-12 05:34:52 UTC
Created attachment 1420687 [details]
File: proc_pid_status

Comment 12 Yijun Yuan 2018-04-12 05:34:53 UTC
Created attachment 1420688 [details]
File: var_log_messages

Comment 13 Petr Viktorin 2018-04-26 16:51:46 UTC
Similar problem has been detected:

I plugged in a TV via HDMI.
The screen showed graphical glitches, then Gnome Shell crashed and I was logged out, with all running graphical programs terminated.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
journald_cursor: s=26dcbd78d85a41fca5c38d1b1a6fb42d;i=5af5c3;b=19a98601eb764cc28ce01d3fa245fd44;m=2511231;t=56ac315195127;x=bbdc8c2187372cdb
kernel:         4.16.4-300.fc28.x86_64
package:        gnome-shell-3.28.1-2.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Petr Viktorin 2018-04-26 16:51:50 UTC
Created attachment 1427332 [details]
File: backtrace

Comment 15 Yijun Yuan 2018-04-26 17:20:16 UTC
I got this issue when connected laptop to external monitor as well. Also abrt helped to file two different stack traces, the other one is https://bugzilla.redhat.com/show_bug.cgi?id=1566329

Comment 16 Will 2018-05-01 19:33:15 UTC
*** Bug 1573620 has been marked as a duplicate of this bug. ***

Comment 17 Joao Luis 2018-05-05 12:32:32 UTC
*** Bug 1575252 has been marked as a duplicate of this bug. ***

Comment 18 Ben Cotton 2019-05-02 20:23:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2019-05-28 23:11:55 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.